Skip to main content
GET
/
api
/
v3
/
admin
/
customers
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const customer = await client.customers.get('cus_UkLWZg9DAJ', {
  expand: ['addresses', 'store_credits'],
})
{
  "id": "cus_UkLWZg9DAJ",
  "email": "jane@example.com",
  "first_name": "Jane",
  "last_name": "Doe",
  "phone": null,
  "accepts_email_marketing": false,
  "full_name": "Jane Doe",
  "available_store_credit_total": "0",
  "display_available_store_credit_total": "$0.00",
  "login": "jane@example.com",
  "metadata": {},
  "last_sign_in_at": null,
  "current_sign_in_at": null,
  "created_at": "2026-05-24T17:36:51.654Z",
  "updated_at": "2026-05-24T17:36:51.654Z",
  "sign_in_count": 0,
  "failed_attempts": 0,
  "last_sign_in_ip": null,
  "current_sign_in_ip": null,
  "tags": [],
  "internal_note_html": null,
  "default_billing_address_id": null,
  "default_shipping_address_id": null,
  "orders_count": 0,
  "total_spent": "0",
  "display_total_spent": "$0.00",
  "last_order_completed_at": null
}

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Path Parameters

id
string
required

Customer ID

Query Parameters

expand
string

Comma-separated associations: addresses, orders, store_credits, default_billing_address, default_shipping_address

fields
string

Comma-separated list of fields to include (e.g., email,first_name,last_name). id is always included.

Response

200 - application/json

customer found